'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var companyInputs = exports.companyInputs = function companyInputs(value, property) {
  return {
    root: 'company',
    type: 'inputs',
    value: value,
    property: property
  };
};

var companyErrors = exports.companyErrors = function companyErrors(value, property) {
  return {
    root: 'company',
    type: 'errors',
    value: value,
    property: property
  };
};

var buttonInputs = exports.buttonInputs = function buttonInputs(value, property) {
  return {
    root: 'button',
    type: 'inputs',
    value: value,
    property: property
  };
};

var apiResponses = exports.apiResponses = function apiResponses(value, property) {
  return {
    root: 'responses',
    type: 'api',
    value: value,
    property: property
  };
};

var apiSubmit = exports.apiSubmit = function apiSubmit(value, property) {
  return {
    root: 'submit',
    type: 'api',
    value: value,
    property: property
  };
};