'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _semanticUiReact = require('semantic-ui-react');

var _reactCfHelperCdn = require('react-cf-helper-cdn');

var _reactCfHelperCdn2 = _interopRequireDefault(_reactCfHelperCdn);

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

var _style = require('../style');

var _Company = require('../../containers/Company');

var _Company2 = _interopRequireDefault(_Company);

var _store = require('../../store');

var _store2 = _interopRequireDefault(_store);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AccountUserLogin = function AccountUserLogin() {
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: _store2.default },
    _react2.default.createElement(
      _style.Body,
      null,
      _react2.default.createElement(
        _semanticUiReact.Grid,
        { stackable: true, centered: true, columns: 1 },
        _react2.default.createElement(
          _semanticUiReact.Grid.Column,
          {
            computer: 'ten',
            widescreen: 'ten',
            tablet: 'ten',
            mobile: 'ten',
            largeScreen: 'five'
          },
          _react2.default.createElement(_semanticUiReact.Image, {
            src: _reactCfHelperCdn2.default.image('logo-text-296-40.svg'),
            width: 236,
            height: 32,
            centered: true
          }),
          _react2.default.createElement(
            _style.PrimaryText,
            null,
            _reactCfHelperI18n2.default.t('account.user.login.company.title')
          ),
          _react2.default.createElement(
            _style.SecondaryText,
            null,
            _reactCfHelperI18n2.default.t('account.user.login.company.subTitle')
          ),
          _react2.default.createElement(_Company2.default, null),
          _react2.default.createElement(
            _style.FooterText,
            null,
            _reactCfHelperI18n2.default.t('copyright')
          ),
          _react2.default.createElement(
            _style.FooterText,
            null,
            _reactCfHelperI18n2.default.t('account.create.success.help')
          )
        )
      )
    )
  );
};

exports.default = AccountUserLogin;