'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _state = require('./state');

var _state2 = _interopRequireDefault(_state);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var form = function form() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _state2.default;
  var action = arguments[1];

  var cache = state;

  if (action.property && action.root) {
    // Object with key/value to push into current object
    var pushObject = _defineProperty({}, action.property, action.value);

    // Current object from state
    var currentObject = state[action.type][action.root];

    // Merge objects into cache
    cache[action.type][action.root] = Object.assign({}, currentObject, pushObject);
  }

  return cache;
};

exports.default = form;